Rcs Inbound Messages

Get RCS Inbound Message

GET
/v1/Rcs/InboundMessages/{sid}

Returns the specified RCS Inbound Message information.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Path Parameters

sid*string
Match^(RI)[0-9a-f]{48}$

Query Parameters

IncludeFees?boolean

If true, fees are included into the result.

IncludeContent?boolean

If true, RCS message content is included into the result.

IncludeConversationMetadata?boolean

If true, conversation metadata is included into the result.

Response Body

curl -X GET "https://example.com/v1/Rcs/InboundMessages/string"
{  "sid": "RI08d9704f044a2fa13d3faa216fcf4574b64b19be32626243",  "from": "+19876543210",  "agentId": "TestAgent",  "createdOn": "2026-01-01T00:00:00Z",  "content": {    "type": "Text",    "text": "string",    "postbackData": "string",    "url": "string",    "contentType": "string",    "fileName": "string",    "size": 0,    "latitude": 0,    "longitude": 0  },  "conversationMetadata": "string",  "fees": {    "platformFees": [      {        "count": 0,        "feePerUnit": 0,        "total": 0      }    ],    "passThroughFees": [      {        "count": 0,        "feePerUnit": 0,        "total": 0      }    ]  }}
{  "errors": {    "Name": [      "The Name field is required."    ]  },  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "One or more validation errors occurred.",  "status": 400,  "detail": "Some detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "Error title",  "detail": "Error detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.4",  "title": "Not found",  "status": 404,  "detail": "Not found detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}